package DX::Lib::FS::Fact::FileContent;

use DX::OrderedSet;
use Data::Munge qw(mapval);
use Moo;

with 'DX::Role::Fact';

has path => (is => 'ro', required => 1);

has data => (is => 'ro', required => 1);

has lines => (is => 'lazy', init_arg => undef, builder => sub {
  my ($self) = @_;
  my @lines = mapval { chomp } split(/^/m, $self->data);
  DX::OrderedSet->new(values => \@lines);
});

1;
